## xstarfish 1.1

=== Makefile ===
# this is the shortest way to get the fastest code (on a K6/2 400)
# seems to work fairly well on a P3-300 too
CC = cc -O3 -funroll-all-loops -I ./portable -I ./portable/pixels/ \
	-I ./portable/generators/ -I ./unix/ -g -D__USE_EXTERN_INLINES
LDFLAGS = -L/usr/X11R6/lib -lm -lX11 -lpng
VPATH = ./portable/:./portable/pixels/:./portable/generators/:./unix/
OBJECTS = 	starfish-engine.o generators.o genutils.o\
		bufferxform.o greymap.o pixmap.o starfish-rasterlib.o \
		coswave-gen.o spinflake-gen.o rangefrac-gen.o \
		bubble-gen.o flatwave-gen.o setdesktop.o makepng.o

starfish: $(OBJECTS)

starfish-engine.o: starfish-engine.c starfish-engine.h generators.h \
	starfish-rasterlib.h

setdesktop.o: setdesktop.c genutils.h setdesktop.h

makepng.o: makepng.c makepng.h starfish-engine.h

generators.o: generators.c generators.h greymap.h \
	coswave-gen.h spinflake-gen.h rangefrac-gen.h \
	bubble-gen.h flatwave-gen.h

genutils.o: genutils.c genutils.h
 
bufferxform.o: bufferxform.c bufferxform.h pixmap.h greymap.h

greymap.o: greymap.c greymap.h

pixmap.o: pixmap.c pixmap.h starfish-rasterlib.h

starfish-rasterlib.o: starfish-rasterlib.c starfish-rasterlib.h \
	rasterliberrs.h pixmap.h greymap.h bufferxform.h

coswave-gen.o: coswave-gen.c coswave-gen.h genutils.h

spinflake-gen.o: spinflake-gen.c spinflake-gen.h genutils.h

rangefrac-gen.o: rangefrac-gen.c rangefrac-gen.h genutils.h

bubble-gen.o: bubble-gen.c bubble-gen.h genutils.h

flatwave-gen.o: flatwave-gen.c flatwave-gen.h genutils.h

clean: 
	rm -f $(OBJECTS) starfish

install:
	cp ./starfish /usr/local/bin/xstarfish

=== debian/changelog ===
xstarfish (1.1-11ubuntu1) oneiric; urgency=low

  * Fix build failure with ld --as-needed. LP: #832847.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Sep 2011 10:22:33 +0200

xstarfish (1.1-11) unstable; urgency=low

  * New maintainer (Closes: #486776)
  * Updated copyright file
  * Applied patch to discribe -o/--outfile option in man page (Closes: #519008)
    Thanks to Christian Hammers
  * Updated standards version to 3.9.1

 -- Simon Fondrie-Teitler <simonft@riseup.net>  Wed, 11 Aug 2010 23:59:10 -0400

xstarfish (1.1-10) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Make clean not ignore errors.
  * Add proper copyright holders to debian/copyright.
  * Add ${misc:Depends}.
  * Move to section utils as it is not a game.
  * Bump debhelper build-dep to 5.
    + Move DH_COMPAT to debian/compat and set to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 27 Jan 2009 16:05:19 -0500

xstarfish (1.1-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a build dependency on xbitmaps.  Thanks to Daniel Schepler.
    Closes: #364894.

 -- Matej Vela <vela@debian.org>  Fri, 19 May 2006 12:02:47 -0500

xstarfish (1.1-9) unstable; urgency=low

  * upgrades standards

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 29 Aug 2005 15:28:20 +0100

xstarfish (1.1-8) unstable; urgency=low

  * add versioned dependency on debhelper (closes: #260557)
  * changed .TH section of manpage to 1 to match location (thanks lintian)

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  7 Sep 2004 18:52:26 +0100

xstarfish (1.1-7) unstable; urgency=low

  * affect all screens, not just current desktop (closes: #202288)
    thanks to James LewisMoss for the patch

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 21 Jul 2003 20:08:29 +0100

xstarfish (1.1-6) unstable; urgency=low

  * rebuild for usr/doc migration etc

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 31 May 2003 20:52:22 +0100

xstarfish (1.1-5) unstable; urgency=low

  * lintian fix (remove emacs settings from changelog)

 -- Adrian Bridgett <bridgett@debian.org>  Thu, 11 Apr 2002 20:58:11 +0100

xstarfish (1.1-4) unstable; urgency=low

  * add "Conflict: starfish" too (closes: #138816) md5sums were removed a
    while ago.

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  7 Apr 2002 11:06:58 +0100

xstarfish (1.1-3) unstable; urgency=low

  * remove "and" from build depends line (closes: #85063)

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  6 Feb 2001 21:05:30 +0000

xstarfish (1.1-2) unstable; urgency=low

  * add build depends (closes: #84665)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  4 Feb 2001 18:29:43 +0000

xstarfish (1.1-1) unstable; urgency=low

  * new upstream
  * change name to xstarfish since that's what the binary is now called
  * fix menu entry (closes: #79644)

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 23 Dec 2000 18:32:20 +0000

starfish (1.0.b3-2) unstable; urgency=low

  * Doh! don't compile on an XFree86 v4 box (yet)

 -- Adrian Bridgett <bridgett@debian.org>  Fri, 13 Oct 2000 10:05:44 +0100

starfish (1.0.b3-1) unstable; urgency=low

  * new upstream incorporating most fixes but not the enhancements (yet)

 -- Adrian Bridgett <bridgett@debian.org>  Thu, 12 Oct 2000 16:18:53 +0100

starfish (1.0.b1-8) unstable; urgency=low

  * the Tom Lear <tom@trap.mtview.ca.us> edition:
    - fixes misinterpretation of hours,days,weeks... (closes: #68733)
    - adds interpolated zoom option (closes #68753)
    - "-p" option will create $HOME/.xstarfish$DISPLAY.pid file when in
      daemon mode (closes #68765)
    - GPG key seems to be installed now - first upload

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 22 Aug 2000 19:49:45 +0100

starfish (1.0.b1-7) unstable; urgency=low

  * diff was slightly off - it didn't fail for me, but hopefully this
    will fix it (closes: #67065)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 11 Jul 2000 18:40:56 +0100

starfish (1.0.b1-6) unstable; urgency=low

  * fix several bugs for 24bit mode. ripped out all the junk
    and cleaned up what was left - should work everywhere
    (not sure if it's endian-clean) (closes: #64507)
  * added -r option to seed the random number generator for debugging
  * replaces sqrt(powf(x,2)+powf(y,2)) with hypotf(x,y) since it's stacks
    faster (17% in at least one case)
  * TODO: the argument handling needs rewriting using Getopt

 -- Adrian Bridgett <bridgett@debian.org>  Tue,  4 Jul 2000 20:24:56 +0100

starfish (1.0.b1-5) unstable; urgency=low

  * Add manpage (closes: #64423)

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 28 May 2000 20:04:17 +0100

starfish (1.0.b1-4) unstable; urgency=low

  * X windows -> X in package description (thanks to Branden Robinson)

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 25 Apr 2000 21:53:46 +0100

starfish (1.0.b1-3) unstable; urgency=low

  * fix thinko on "-s" fix
  * fix final (I hope) memory leak
  * renamed program (but not yet package) to xstarfish to avoid clash with
    xscreensaver (thanks to  Owen Cameron <nemo@nethouse.goldweb.com.au>)

 -- Adrian Bridgett <bridgett@debian.org>  Wed, 19 Apr 2000 18:06:46 +0100

starfish (1.0.b1-2) unstable; urgency=low

  * fixed memory leak
  * doesn't segfault if passsed "-s" last

 -- Adrian Bridgett <bridgett@debian.org>  Tue, 18 Apr 2000 20:00:20 +0100

starfish (1.0.b1-1) unstable; urgency=low

  * initial release.

 -- Adrian Bridgett <bridgett@debian.org>  Wed, 12 Apr 2000 22:50:27 +0100

=== debian/watch ===
# Upstream url is no longer valid and there is no evidence of any more work on the project.

## xstarfish 1.1+ds

=== debian/changelog ===
xstarfish (1.1+ds-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:39:49 +1100

xstarfish (1.1+ds-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:46:55 +0000

xstarfish (1.1+ds-2) unstable; urgency=medium

  * QA upload.
  * Change to debhelper-compat.
  * Bump debhelper to 13. Closes: #965913
  * Change to dh sequencer.
    - This includes target build-arch and build-indep.  Closes: #999138
    - Build without dh_verbose.
  * Document Rules-Requires-Root.
  * d/copyright:
    - Update copyright format URI.
    - Update fields to be DEP5 compliant.
    - Add comment why source has been repacked.
  * Patch:
    - New patch to add headers implicitly declared.
    - Renamed patch from ubuntu, now called fix_libraries.patch, update
      header to be DEP3 compliant.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 21 Dec 2021 15:26:23 +0100

xstarfish (1.1+ds-1) unstable; urgency=medium

  * Orphan the package.
  * Repack the .orig tarball to remove binaries from a proprietary MacOS
    tool which cause errors on QA (bad filenames, masquerading as .gz),
    precompiled source, old Debian packaging.  Closes: #392396, #885953
  * Drop pre-cretaceous Provides/Replaces.
  * Ack NMU.  Closes: #810078

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 22 Mar 2020 02:57:33 +0100

xstarfish (1.1-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with ld --as-needed. LP: #832847, using patch from doko
    (Closes: #641274)
  * Apply patch for libpng transistion, patch from Nobuhiro(Closes: #635704)
  * Also, change B-D to libpng-dev (Closes: #662570)

 -- Tobias Frost <tobi@debian.org>  Wed, 06 Jan 2016 10:55:22 +0100

=== debian/control ===
Source: xstarfish
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libpng-dev, libx11-dev, xbitmaps
Standards-Version: 3.9.1
Rules-Requires-Root: no

Package: xstarfish
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X wallpaper generator
 XStarfish generates colourful, tiled images for your background using random
 numbers fed through mathematical functions. It does not use source image
 files, so it can generate its images nearly forever without running out of
 material.

=== debian/rules ===
#!/usr/bin/make -f

# This script uses debhelper by Joey Hess
#export DH_VERBOSE=1

DEB=debian/xstarfish

%:
	dh $@

execute_after_dh_auto_clean:
	rm -f unix/starfish.o

override_dh_auto_install:
	cp starfish $(DEB)/usr/bin/xstarfish

override_dh_installman:
	dh_installman debian/xstarfish.1
